Draft Drawing/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft Drawing.svg {{{Name/jp}}}

メニュー位置
Drafting -> Drawing
ワークベンチ
製図, 建築
デフォルトのショートカット
None
参照
None


説明

このツールを使うと選択されているオブジェクトをSVGドローイングシート上に置くことができます。シートが存在しない場合はデフォルトのシートが作成されます。

Draft drawing example.jpg

使用方法

  1. ドローイングシート上に置きたいオブジェクトを選択します
  2. Draft Drawing.png Draft Drawingボタンを押します

オプション

  • ドローイングシート上に置きたいオブジェクトを選択してください。このツールは製図モジュールまたはスケッチャーモジュールから2Dオブジェクトを扱う最良の手段となるでしょう。
  • 選択されたオブジェクトがArch SectionPlaneの場合、このツールは断面の追加ビューを作成します。
  • 選択時にオブジェクトを描画したいページオブジェクトを追加します。ページが存在しない場合、新しいページが作成されます。ページが選択されていなくともドキュメント内に一つでもページがある場合は最初に見つかったページが描画に使用されます。
  • 既存のシートを選択し、選択したオブジェクトが既にそのシート上にある場合(例えば"Rectangle"オブジェクトに対して既に"ViewRectangle"オブジェクトがシート上にある場合)は置き換えが行われます。従ってたんに全てのオブジェクトを選択してそれらを既存のページに送ることで簡単に更新を行うことができます。

プロパティ

  • DATAFill Style: 閉じた形状でデフォルトの製図塗りつぶしスタイルを使うか、形状色を使うかを指定できます
  • DATAFont Size: テキストのフォントサイズと寸法を指定できます
  • DATALine Width: 描画オブジェクトのライン幅を指定できます

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからDraft Drawingツールを使用することが可能です。

makeDrawingView (object,page): 指定されたobjectのビューを指定されたpageに追加します。この関数は作成されたビューオブジェクトを返します。

例:

import FreeCAD,Draft
obj = FreeCAD.ActiveDocument.ActiveObject
page = FreeCAD.ActiveDocument.Page
Draft.makeDrawingView(obj,page)
ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg